## org.eclipse.datatools.sqltools.debugger.core
Class ClientConInfo

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.core.ClientConInfo

public class ClientConInfo
extends java.lang.Object

This class represents information of a client connection, which refers to those connections not created in data tools.

Constructor Summary
`ClientConInfo(IDebuggerControlConnection control, java.lang.String connid, java.lang.String db, java.lang.String user)`

Method Summary
`java.lang.String` `getConnId()`
`java.lang.String` `getDatabaseName()` get the current database name this client con is for.
`IDebuggerControlConnection` `getParentControlConnection()`
`java.lang.Object` `getStatus()`
`java.lang.String` `getUser()`
`boolean` `isAttached()` help method.
`boolean` `updateStatus(java.lang.String db, java.lang.String user, java.lang.Object status)` update client connection status.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientConInfo

    public ClientConInfo(IDebuggerControlConnection control,
                         java.lang.String connid,
                         java.lang.String db,
                         java.lang.String user)

Method Detail

### getParentControlConnection

    public IDebuggerControlConnection getParentControlConnection()

### getConnId

    public java.lang.String getConnId()

### getDatabaseName

    public java.lang.String getDatabaseName()

  get the current database name this client con is for.

  Returns:

### getUser

    public java.lang.String getUser()

### updateStatus

    public boolean updateStatus(java.lang.String db,
                                java.lang.String user,
                                java.lang.Object status)

  update client connection status.

  Returns:
    true if status is changed from previous state.

### getStatus

    public java.lang.Object getStatus()

  Returns:

### isAttached

    public boolean isAttached()

  help method.

  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.